libzypp 17.38.15

zyppng::detail::expected_result_helper< ResultType > Struct Template Reference

`#include <zypp-core/ng/pipelines/expected.h>`

## Static Public Member Functions
template<typename E>
static ResultType | error (E &&err)
template<typename Res>
static ResultType | forward (Res &&exp)

## Detailed Description

template<typename ResultType>
struct zyppng::detail::expected_result_helper< ResultType >

Definition at line 490 of file expected.h.

## Member Function Documentation

## ◆ error()

template<typename ResultType>
template<typename E>

ResultType zyppng::detail::expected_result_helper< ResultType >::error | ( | E && | err | ) |
| inline static

Definition at line 492 of file expected.h.

## ◆ forward()

template<typename ResultType>
template<typename Res>

ResultType zyppng::detail::expected_result_helper< ResultType >::forward | ( | Res && | exp | ) |
| inline static

Definition at line 497 of file expected.h.

The documentation for this struct was generated from the following file:

- zypp-core/ng/pipelines/expected.h